/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer
 *  ファイル：CellData.java
 *  説明：
 *
 *  作成日: 2004/01/19
 */
package openolap.viewer;

import java.io.Serializable;


/**
 *  クラス：CellData
 *  説明：
 */
public class CellData implements Serializable {

	// ********** インスタンス変数 **********
	final private EdgeCoordinates colCoordinates;	// 列の座標を表すオブジェクト
	final private EdgeCoordinates rowCoordinates;	// 行の座標を表すオブジェクト
	final private String measureMemberUniqueName;	// このデータが属するメジャーメンバーのUniqueName
	
	private String value = null;					// セルに入る値

	// ********** コンストラクタ **********
	public CellData(EdgeCoordinates colCoordinates, EdgeCoordinates rowCoordinates, String measureMemberUniqueName) {
		this.colCoordinates = colCoordinates;
		this.rowCoordinates = rowCoordinates;
		this.measureMemberUniqueName = measureMemberUniqueName;
	}

	// ********** Setter メソッド **********
	public void setValue(String string) {
		value = string;
	}

	// ********** Getter メソッド **********
	public EdgeCoordinates getColCoordinates() {
		return colCoordinates;
	}

	public EdgeCoordinates getRowCoordinates() {
		return rowCoordinates;
	}
	public String getValue() {
		return value;
	}
	public String getMeasureMemberUniqueName() {
		return measureMemberUniqueName;
	}


}
